version: '3.7'

services:

  smarthome-rabbitmq:
    container_name: rabbit-server 
    build:
      context: rabbitmq
    restart: always
    volumes:
      - "db-rabbitmq:/var/lib/rabbitmq"
    ports:
      - "15672:15672"
      - "5672:5672"
      - "9883:1883"
      - "15674":"15674"
        
  postgres:
    image: postgres:12.2-alpine
    container_name: postgresdb
    restart: always
    environment:
      - POSTGRES_DB=postgres
      - POSTGRES_USER=postgres
      - POSTGRES_PASSWORD=postgres
    volumes:
      - db-postgres-data:/var/lib/postgresql/data
      - db-postgres-tmp:/tmp
    ports:
      - "5432:5432"                     
    
volumes:
  db-rabbitmq:
  db-postgres-data:
  db-postgres-tmp:
